require 'resque'
require 'resque-retry'

module JamRuby
  class LongRunning
    extend JamRuby::ResqueStats

    attr_accessor :time

    @queue = :long_running

    def model_name
      'long_running'
    end

    def log
      @log || Logging.logger[LongRunning]
    end

    def self.perform(time)
      sleep(time)
    end
  end
end

